# Get an execution's timeline

Fetches an execution's timeline.

```http
GET https://api.pozy.ai/v1/workflows/{workflowId}/executions/{executionId}/events
```

- Area: Automations / Workflows
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `workflowId` (string, required)
- `executionId` (string, required)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/workflows/6e299f518f373bfd669857c4/executions/6c1d5173be24d1f9e4e6f57f/events" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/workflows/6e299f518f373bfd669857c4/executions/6c1d5173be24d1f9e4e6f57f/events", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/workflows/6e299f518f373bfd669857c4/executions/6c1d5173be24d1f9e4e6f57f/events",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `success`, boolean
- `execution`, object
  - `id`, string
  - `status`, string: One of `running`, `waiting`, `completed`, `exited`, `failed`
  - `startedAt`, string (date-time): Can be null
  - `completedAt`, string (date-time): Can be null
- `events`, array of object
  - `action`, string: One of `execution_started`, `execution_completed`, `execution_exited`, `execution_paused`, `execution_resumed`, `node_started`, `node_completed`, `node_failed`, `node_skipped`
  - `status`, string: One of `success`, `failed`, `pending`. Can be null
  - `nodeId`, string: Can be null
  - `nodeType`, string: Can be null
  - `sourceHandle`, string: Can be null
  - `durationMs`, integer: Can be null
  - `errorMessage`, string: Can be null
  - `meta`, object: Can be null
  - `at`, string (date-time)

```json
{
  "success": true,
  "execution": {
    "id": "6bfebd43ddc270f6d2c56fc5",
    "status": "running",
    "startedAt": "2026-10-02T09:00:00.000Z",
    "completedAt": "2026-10-02T09:00:00.000Z"
  },
  "events": [
    {
      "action": "execution_started",
      "status": "success",
      "nodeId": "661065480d0716ebcd3f1af3",
      "nodeType": "string",
      "sourceHandle": "acme",
      "durationMs": 1,
      "errorMessage": "Hello from Pozy",
      "meta": {},
      "at": "2026-10-02T09:00:00.000Z"
    }
  ]
}
```
